<?php


return  
    [
        'model' => [
            'model' => \Litepie\Master\Models\Master::class,
            'table' => 'litepie_master_masters',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['parent_id',  'type',  'name',  'code',  'amount',  'abbr',  'description',  'icon',  'image',  'images',  'file',  'order',  'status',  'extras'],
            'translatables' => [],
            'upload_folder' => 'master/master',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'master::master.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'master::master.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'master::master.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "code", 
                "type" => "text", 
                "label" => 'master::master.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'master::master.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "abbr", 
                "type" => "text", 
                "label" => 'master::master.label.abbr', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'master::master.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "icon", 
                "type" => "text", 
                "label" => 'master::master.label.icon', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "image", 
                "type" => "text", 
                "label" => 'master::master.label.image', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'master::master.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "file", 
                "type" => "text", 
                "label" => 'master::master.label.file', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "order", 
                "type" => "text", 
                "label" => 'master::master.label.order', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "extras", 
                "type" => "text", 
                "label" => 'master::master.label.extras', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'select',
                "type" => 'select',
                "label" => 'master::master.label.parent_id',
                "placeholder" => 'master::master.placeholder.parent_id',
                "rules" => '',
                "options" => function(){
                    return trans('master::master.options.parent_id');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'master::master.label.type',
                "placeholder" => 'master::master.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'master::master.label.name',
                "placeholder" => 'master::master.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'master::master.label.code',
                "placeholder" => 'master::master.placeholder.code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'master::master.label.amount',
                "placeholder" => 'master::master.placeholder.amount',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'abbr',
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'master::master.label.abbr',
                "placeholder" => 'master::master.placeholder.abbr',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'master::master.label.description',
                "placeholder" => 'master::master.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'icon',
                "element" => 'text',
                "type" => 'text',
                "label" => 'master::master.label.icon',
                "placeholder" => 'master::master.placeholder.icon',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'image',
                "element" => 'file',
                "type" => 'image',
                "label" => 'master::master.label.image',
                "placeholder" => 'master::master.placeholder.image',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'file',
                "type" => 'images',
                "label" => 'master::master.label.images',
                "placeholder" => 'master::master.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'file',
                "element" => 'file',
                "type" => 'file',
                "label" => 'master::master.label.file',
                "placeholder" => 'master::master.placeholder.file',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'master::master.label.order',
                "placeholder" => 'master::master.placeholder.order',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'extras',
                "element" => 'text',
                "type" => 'text',
                "label" => 'master::master.label.extras',
                "placeholder" => 'master::master.placeholder.extras',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'master/master/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'master/master/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'master/master',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'master/master',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'master/master',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'master/master',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'master::master.label.created_at',
            'name' => 'master::master.label.name',
            'status' => 'master::master.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "master::master.groups.main",
                'key' => "main",
                'title' => "master::master.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "master::master.groups.details",
                'key' => "documents",
                'title' => "master::master.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "master::master.groups.images",
                'key' => "documents",
                'title' => "master::master.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "master::master.groups.settings",
                'key' => "documents",
                'title' => "master::master.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Master',
            'module' => 'Master',
        ],

        
        
    ];
